TestBase (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class TestBase

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase

- Direct Known Subclasses:
    CallableStatementTest, DatabaseTestCase, EncodingTest, GenKeyTest, JDBC3Test, LargeLOBTest, LOBTest, NtlmAuthTest, PreparedStatementTest, ReadTextTest, SanityTest, SavepointTest, StatementTest, Tds5Test, Tds9Test, TimeZoneTest, UpdateTest

      public abstract class TestBase
      extends TestCase

  Version:
    $Id: TestBase.java,v 1.21.2.1 2009-08-04 10:33:54 ickzon Exp $
  Author:
    builder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.sql.Connection` | `con`
    `private static java.lang.String` | `CONNECTION_PROPERTIES`
    `static java.util.Properties` | `props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestBase(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compareInputStreams(java.io.InputStream is1, java.io.InputStream is2)`
    `void` | `compareReaders(java.io.Reader r1, java.io.Reader r2)`
    `protected void` | `connect()`
    `private void` | `disconnect()`
    `void` | `dropDatabase(java.lang.String name)`
    `void` | `dropFunction(java.lang.String name)`
    `void` | `dropProcedure(java.lang.String name)`
    `void` | `dropTable(java.lang.String name)`
    `void` | `dropTrigger(java.lang.String name)`
    `void` | `dropType(java.lang.String name)`
    `void` | `dropView(java.lang.String name)`
    `void` | `dump(java.sql.ResultSet rs)`
    `void` | `dump(java.sql.ResultSet rs, boolean silent)`
    `void` | `dumpAll(java.sql.Statement statement)` Dump all results produced by the execution of a statement, including update counts, resultsets and generated keys if the statement has been executed using one of the `Statement#execute()` that directs the driver to return generated keys.
    `void` | `dumpKeys(java.sql.Statement statement)`
    `void` | `dumpRow(java.sql.ResultSet rs)`
    `void` | `dumpRow(java.sql.ResultSet rs, boolean silent)`
    `java.sql.Connection` | `getConnection()`
    `java.sql.Connection` | `getConnection(java.util.Properties override)`
    `private static java.util.Properties` | `loadProperties(java.lang.String fileName)`
    `void` | `makeObjects(java.sql.Statement stmt, int count)`
    `protected void` | `makeTestTables(java.sql.Statement stmt)`
    `void` | `setUp()`
    `void` | `tearDown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTION_PROPERTIES

          private static final java.lang.String CONNECTION_PROPERTIES

      See Also:
        Constant Field Values

    - #### props

          public static final java.util.Properties props

    - #### con

          java.sql.Connection con

  - ### Constructor Detail

    - #### TestBase

          public TestBase(java.lang.String name)

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### tearDown

          public void tearDown()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getConnection

          public java.sql.Connection getConnection()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getConnection

          public java.sql.Connection getConnection(java.util.Properties override)
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### disconnect

          private void disconnect()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### connect

          protected void connect()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### dumpAll

          public void dumpAll(java.sql.Statement statement)
                       throws java.sql.SQLException

      Dump all results produced by the execution of a statement, including update counts, resultsets and generated keys if the statement has been executed using one of the `Statement#execute()` that directs the driver to return generated keys.

      Parameters:
        `statement` - `Statement` object used for execution
      Throws:
        `java.sql.SQLException`

    - #### dumpKeys

          public void dumpKeys(java.sql.Statement statement)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dump

          public void dump(java.sql.ResultSet rs)
                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dump

          public void dump(java.sql.ResultSet rs,
                  boolean silent)
                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dumpRow

          public void dumpRow(java.sql.ResultSet rs)
                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dumpRow

          public void dumpRow(java.sql.ResultSet rs,
                     boolean silent)
                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### loadProperties

          private static java.util.Properties loadProperties(java.lang.String fileName)

    - #### makeTestTables

          protected void makeTestTables(java.sql.Statement stmt)
                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### makeObjects

          public void makeObjects(java.sql.Statement stmt,
                         int count)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### compareInputStreams

          public void compareInputStreams(java.io.InputStream is1,
                                 java.io.InputStream is2)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### compareReaders

          public void compareReaders(java.io.Reader r1,
                            java.io.Reader r2)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### dropDatabase

          public void dropDatabase(java.lang.String name)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dropTable

          public void dropTable(java.lang.String name)
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dropView

          public void dropView(java.lang.String name)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dropTrigger

          public void dropTrigger(java.lang.String name)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dropFunction

          public void dropFunction(java.lang.String name)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dropProcedure

          public void dropProcedure(java.lang.String name)
                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dropType

          public void dropType(java.lang.String name)
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Generated on June 8 2013